ClassLoaderRepository (jakarta-bcel 5.2 API)
Keywords: org.apache.bcel.util.ClassLoaderRepository class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.util
Class ClassLoaderRepository

    java.lang.Object
      org.apache.bcel.util.ClassLoaderRepository

All Implemented Interfaces:
  Serializable, Repository

    public class ClassLoaderRepository

extends Object
implements Repository

The repository maintains information about which classes have been loaded. It loads its data from the ClassLoader implementation passed into its constructor.

Version:
  $Id: ClassLoaderRepository.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  `Repository`, Serialized Form

Constructor Summary
`ClassLoaderRepository(ClassLoader loader)`

Method Summary
`void` | `clear()` Clear all entries from cache.
`JavaClass` | `findClass(String className)` Find an already defined JavaClass.
`ClassPath` | `getClassPath()` Get the ClassPath associated with this Repository
`JavaClass` | `loadClass(Class clazz)` Find the JavaClass instance for the given run-time class object
`JavaClass` | `loadClass(String className)` Lookup a JavaClass object from the Class Name provided.
`void` | `removeClass(JavaClass clazz)` Remove class from repository
`void` | `storeClass(JavaClass clazz)` Store a new JavaClass into this Repository.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassLoaderRepository

    public ClassLoaderRepository(ClassLoader loader)

Method Detail

### storeClass

    public void storeClass(JavaClass clazz)

  Store a new JavaClass into this Repository.

  Specified by:
    `storeClass` in interface `Repository`

### removeClass

    public void removeClass(JavaClass clazz)

  Remove class from repository

  Specified by:
    `removeClass` in interface `Repository`

### findClass

    public JavaClass findClass(String className)

  Find an already defined JavaClass.

  Specified by:
    `findClass` in interface `Repository`

### loadClass

    public JavaClass loadClass(String className)
                        throws ClassNotFoundException

  Lookup a JavaClass object from the Class Name provided.

  Specified by:
    `loadClass` in interface `Repository`
  Throws:
    `ClassNotFoundException`

### loadClass

    public JavaClass loadClass(Class clazz)
                        throws ClassNotFoundException

  Description copied from interface: `Repository`
  Find the JavaClass instance for the given run-time class object

  Specified by:
    `loadClass` in interface `Repository`
  Throws:
    `ClassNotFoundException`

### clear

    public void clear()

  Clear all entries from cache.

  Specified by:
    `clear` in interface `Repository`

### getClassPath

    public ClassPath getClassPath()

  Description copied from interface: `Repository`
  Get the ClassPath associated with this Repository

  Specified by:
    `getClassPath` in interface `Repository`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.